#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Math
%define		pnam	Geometry-Planar-GPC
Summary:	Math::Geometry::Planar::GPC - Perl wrapper for Alan Murta's gpc library
Summary(pl.UTF-8):	Math::Geometry::Planar::GPC - interfejs perlowy do biblioteki gpc Alana Murty
Name:		perl-Math-Geometry-Planar-GPC
Version:	1.04
Release:	18
# perl interface is under "Artistic" license, but gpc itself is non-commercial
License:	non-commercial use, freely distributable
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0f059f596abba73eee7f0ffcee134567
URL:		http://search.cpan.org/dist/Math-Geometry-Planar-GPC/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-Math-Geometry-GPC
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is just a wrapper around the gpc (Generic Polygon
Clipping) C library written by Alan Murta.

%description -l pl.UTF-8
Ten moduł jest interfejsem do biblioteki C gpc (Generic Polygon
Clipping - ogólnego obcinania wielokątów) autorstwa Alana Murty.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Math/Geometry
%dir %{perl_vendorarch}/Math/Geometry/Planar
%{perl_vendorarch}/Math/Geometry/Planar/GPC.pm
%dir %{perl_vendorarch}/auto/Math/Geometry
%dir %{perl_vendorarch}/auto/Math/Geometry/Planar
%dir %{perl_vendorarch}/auto/Math/Geometry/Planar/GPC
%attr(755,root,root) %{perl_vendorarch}/auto/Math/Geometry/Planar/GPC/GPC.so
%{_mandir}/man3/*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-Geometry-Planar-GPC.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 7510771
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 34bdd50
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 2ded0fc
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> a50c842
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 3647170
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 88267bb
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 40d63d2
- rebuild with perl 5.30.0
- release 13 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> bf5b9a2
- rebuild with perl 5.28.0
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> d421607
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 3ce00f6
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 4e3140f
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 99afde9
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 360ecdd
- x32 rebuild
- release 7 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 2f933be
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 64ce1bc
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 44efbed
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f79dbdc
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 13c5a40
- release 3

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> a5a7d51
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e6f9abe
- rel 2

